<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <ul class="dropdown-menu">
        <li>
            <a4j:commandLink value="and"
                             actionListener="#{providerInformationConsumer.appendNewFilter('AND', currentRequest, parent)}"
                             render="filterConfigPanel, buttons"/>
        </li>
        <li>
            <a4j:commandLink value="approxMatch"
                             actionListener="#{providerInformationConsumer.appendNewFilter('APPROX_MATCH', currentRequest, parent)}"
                             render="filterConfigPanel, buttons"/>
        </li>
        <li>
            <a4j:commandLink value="equalityMatch"
                             actionListener="#{providerInformationConsumer.appendNewFilter('EQUALITY_MATCH', currentRequest, parent)}"
                             render="filterConfigPanel, buttons"/>
        </li>
        <li>
            <a4j:commandLink value="extensibleMatch"
                             actionListener="#{providerInformationConsumer.appendNewFilter('EXTENSIBLE_MATCH', currentRequest, parent)}"
                             render="filterConfigPanel, buttons"/>
        </li>
        <li>
            <a4j:commandLink value="greaterOrEqual"
                             actionListener="#{providerInformationConsumer.appendNewFilter('GREATER_OR_EQUAL', currentRequest, parent)}"
                             render="filterConfigPanel, buttons"/>
        </li>
        <li>
            <a4j:commandLink value="lessOrEqual"
                             actionListener="#{providerInformationConsumer.appendNewFilter('LESS_OR_EQUAL', currentRequest, parent)}"
                             render="filterConfigPanel, buttons"/>
        </li>
        <li>
            <a4j:commandLink value="or"
                             actionListener="#{providerInformationConsumer.appendNewFilter('OR', currentRequest, parent)}"
                             render="filterConfigPanel, buttons"/>
        </li>
        <li>
            <a4j:commandLink value="present"
                             actionListener="#{providerInformationConsumer.appendNewFilter('PRESENT', currentRequest, parent)}"
                             render="filterConfigPanel, buttons"/>
        </li>
        <li>
            <a4j:commandLink value="substrings"
                             actionListener="#{providerInformationConsumer.appendNewFilter('SUBSTRING', currentRequest, parent)}"
                             render="filterConfigPanel"/>
        </li>
    </ul>
</ui:composition>